OGRE: Ogre::LodData Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodData Struct Reference
Optional Components » MeshLodGenerator

`#include <OgreLodData.h>`

## Classes
struct | Edge
struct | IndexBufferInfo
union | IndexBufferPointer
struct | Line
struct | Triangle
struct | Vertex
struct | VertexEqual
| Equality function for UniqueVertexSet. More...
struct | VertexHash
| Hash function for UniqueVertexSet. More...

## Public Types
typedef std::multimap< Real, Vertex * > | CollapseCostHeap
typedef std::vector< IndexBufferInfo > | IndexBufferInfoList
typedef std::vector< Line > | LineList
typedef std::vector< Triangle > | TriangleList
typedef std::unordered_set< Vertex *, VertexHash, VertexEqual > | UniqueVertexSet
typedef VectorSet< Edge, 8 > | VEdges
typedef std::vector< Vertex > | VertexList
typedef VectorSet< Line *, 7 > | VLines
typedef VectorSet< Triangle *, 7 > | VTriangles

## Public Member Functions
| LodData ()

## Static Public Member Functions
template<typename T, typename A>
static size_t | getVectorIDFromPointer (const std::vector< T, A > &vec, const T *pointer)

## Public Attributes
CollapseCostHeap | mCollapseCostHeap
| Makes possible to get the vertices with the smallest collapse cost.
IndexBufferInfoList | mIndexBufferInfoList
LineList | mLineList
Real | mMeshBoundingSphereRadius
TriangleList | mTriangleList
UniqueVertexSet | mUniqueVertexSet
| Provides position based vertex lookup. Position is the real identifier of a vertex.
bool | mUseVertexNormals
VertexList | mVertexList

## Static Public Attributes
static const Real | NEVER_COLLAPSE_COST
static const Real | UNINITIALIZED_COLLAPSE_COST

## Member Typedef Documentation

## ◆ VertexList

typedef std::vector<Vertex> Ogre::LodData::VertexList

## ◆ LineList

typedef std::vector<Line> Ogre::LodData::LineList

## ◆ TriangleList

typedef std::vector<Triangle> Ogre::LodData::TriangleList

## ◆ UniqueVertexSet

typedef std::unordered_set<Vertex*, VertexHash, VertexEqual> Ogre::LodData::UniqueVertexSet

## ◆ CollapseCostHeap

typedef std::multimap<Real, Vertex*> Ogre::LodData::CollapseCostHeap

## ◆ VEdges

typedef VectorSet<Edge, 8> Ogre::LodData::VEdges

## ◆ VLines

typedef VectorSet<Line*, 7> Ogre::LodData::VLines

## ◆ VTriangles

typedef VectorSet<Triangle*, 7> Ogre::LodData::VTriangles

## ◆ IndexBufferInfoList

typedef std::vector<IndexBufferInfo> Ogre::LodData::IndexBufferInfoList

## Constructor & Destructor Documentation

## ◆ LodData()

Ogre::LodData::LodData | ( |  | ) |
| inline

References mMeshBoundingSphereRadius, mUniqueVertexSet, and mUseVertexNormals.

Referenced by Ogre::LodData::VertexHash::VertexHash().

## Member Function Documentation

## ◆ getVectorIDFromPointer()

template<typename T, typename A>

size_t Ogre::LodData::getVectorIDFromPointer | ( | const std::vector< T, A > & | vec,
|  | const T * | pointer )
| inlinestatic

References OgreAssertDbg.

## Member Data Documentation

## ◆ NEVER_COLLAPSE_COST

const Real Ogre::LodData::NEVER_COLLAPSE_COST
| static

## ◆ UNINITIALIZED_COLLAPSE_COST

const Real Ogre::LodData::UNINITIALIZED_COLLAPSE_COST
| static

## ◆ mUniqueVertexSet

UniqueVertexSet Ogre::LodData::mUniqueVertexSet

Provides position based vertex lookup. Position is the real identifier of a vertex.

Referenced by LodData().

## ◆ mVertexList

VertexList Ogre::LodData::mVertexList

## ◆ mLineList

LineList Ogre::LodData::mLineList

## ◆ mTriangleList

TriangleList Ogre::LodData::mTriangleList

## ◆ mCollapseCostHeap

CollapseCostHeap Ogre::LodData::mCollapseCostHeap

Makes possible to get the vertices with the smallest collapse cost.

## ◆ mIndexBufferInfoList

IndexBufferInfoList Ogre::LodData::mIndexBufferInfoList

## ◆ mMeshBoundingSphereRadius

Real Ogre::LodData::mMeshBoundingSphereRadius

Referenced by LodData().

## ◆ mUseVertexNormals

bool Ogre::LodData::mUseVertexNormals

Referenced by LodData().

The documentation for this struct was generated from the following file:

- OgreLodData.h